#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

int main()
{
	int n,q,p,r,e;
	vector<int>::iterator l,d;
	cin>>n>>q;
	vector<int>A;
	for(int i=0;i<n;i++)
	{
		cin>>p;
		A.push_back(p);
	}
	sort(A.begin(),A.end());
	for(int i=0;i<q;i++)
	{
		cin>>p;
		l=lower_bound(A.begin(),A.end(),p);
		d=upper_bound(A.begin(),A.end(),p);
		p=d-l;
		r=l-A.begin();
		e=n-p-r;
		
		if(r>p+e)
		{
		cout<<r-(p+e)<<endl;
	    }
		else
		{
		cout<<e+1-(r+p);
		}
	}
}